export default function _default(pathname: any, option?: {}): Promise<{
    option: {
        mode: string;
        pathname: string;
        path: any;
        conf: string;
        env: string;
        dev_key: string;
        app: string;
        main: string;
        vite: string;
        index: string;
        dirname: any;
        cache: string;
        copy_dir: string;
    };
    is_run(path: any): boolean;
    rep(file: any): any;
    trim_rep(file: any): any;
    rtrim_rep(file: any): any;
    import_file(file: any): Promise<any>;
    build: {
        format: {
            img: string[];
            font: string[];
            audio: string[];
            video: string[];
        };
        format_arr: never[];
        config: {
            svg: string[];
            vue: (file: any, format: any) => true | undefined;
            alone: (file: any, format: any) => true | undefined;
            naive: (file: any, format: any) => true | undefined;
            file: (file: any, format: any) => true | undefined;
            chunk: (file: any, format: any) => true | undefined;
        };
    };
    js_config(object: any, paths?: {}): any;
    handle_before(): any;
    handle_env(): Promise<any>;
    cache_file(): any;
    jsconfig(): any;
    tsconfig(): any;
    copy_app(): any;
    handle_dist(): any;
    handle_favicon(): any;
    handle_boj(): Promise<any>;
    handle_chunk(): any;
    handle_html_tag(): void;
    start(): Promise<any>;
    publicDir(): any;
    define(): {
        'process.env': any;
        'process.config': any;
        'process.plugins': any;
    };
    alias(): {
        '@root': any;
        '@public': any;
        '@view': any;
        '@src': any;
        '@alone': any;
    } & ({
        "alone-frame": any;
    } | {
        "alone-frame"?: undefined;
    });
    preview(): {
        host: any;
        port: any;
    };
    server(): {
        proxy: {
            '/api': {
                target: any;
                changeOrigin: boolean;
                rewrite: (path: any) => any;
            };
        };
    } & {
        host: any;
        port: any;
    };
    vue_route({ dir, file }?: {}): void;
    plugin_build(): {
        outDir: any;
        target: string;
        minify: string;
        cssCodeSplit: boolean;
        reportCompressedSize: boolean;
        chunkSizeWarningLimit: number;
        sourcemap: boolean;
        terserOptions: {
            format: {
                beautify: boolean;
                comments: boolean;
            };
            mangle: {
                toplevel: boolean;
            };
            compress: {
                properties: boolean;
                dead_code: boolean;
                drop_console: boolean;
                drop_debugger: boolean;
            };
            sourceMap: boolean;
            ecma: number;
            enclose: boolean;
            keep_classnames: boolean;
            keep_fnames: boolean;
            ie8: boolean;
            module: boolean;
            nameCache: null;
            safari10: boolean;
            toplevel: boolean;
        };
        rollupOptions: {
            treeshake: boolean;
            output: {
                hashCharacters: string;
                chunkFileNames: (obj: any) => string;
                entryFileNames: (obj: any) => string;
                assetFileNames: (obj: any) => string;
                manualChunks: (file: any) => string | undefined;
            };
        };
    };
}>;
