declare namespace _default {
    function isset(data: any): boolean;
    function is_object(data: any): boolean;
    function is_array(data: any): data is any[];
    function is_bool(data: any): data is boolean;
    function is_callback(data: any): boolean;
    function is_string(data: any): data is string;
    function is_number(data: any): data is number;
    function to_object(data: any): any;
    function to_param(obj: any): string;
    function get_arr(obj: any, key?: null, def?: null, symbol?: string): any;
    function set_arr(key: any, value: any, symbol?: string, obj?: {}): {};
    function is_key(obj: any, key: any, symbol?: string): boolean;
    function del_key(obj: any, key: any, symbol?: string): any;
    function set_array(arr: any, key: any, value: any, symbol?: string): any;
    function array_merge(array: any, arr: any): any;
    function json_format(json: any): string;
    function sleep(ms: any, cb: any): Promise<any>;
    function get_token(): string;
    function rand_token(str?: string): string;
    function rand_count(num: number | undefined, str: any): string;
    function rand_int(int: any): number;
    function rand_str(): string;
    function symbol(str: any, count: any): any[];
    function get_time(): number;
    function get_date(time?: number, format?: string): string;
    function hide_mobile(str: any): any;
    function money(number: any, decimals?: number, thousands?: string, separator?: string): string;
    function view(string: any, obj: any, top?: string, end?: string, symbol?: string, type?: boolean): any;
    function open_web(url: any): void;
    function close_web(): void;
    function open_window(url: any, name: any, width: any, height: any): void;
    function to_array(data: any): any[];
    function trim(str: any, char: any): any;
    function ltrim(str: any, char: any): any;
    function rtrim(str: any, char: any): any;
    function resize(callable: any): void;
    function hashchange(callable: any): void;
    function to_str(json: any, def: any): any;
    function to_obj(string: any, def: any): any;
    function get_param(key: any, def?: string, url?: string): any;
    function edit_param(url: any, param: any): string;
    namespace domain {
        function get(): string;
        function protocol(): string;
        function url(): string;
        function one(): string;
        function domain(): string;
    }
    namespace origin {
        function get(): string;
        function protocol(): string;
        function domain(): string;
        function one(): string;
        function url(): string;
    }
    function set_head(label: any, attr?: {}): any;
    function set_title(title?: string): HTMLTitleElement;
    function set_favicon(ico: any, attr?: {}): any;
    function set_link(file: any, awaits?: boolean): Promise<any> | HTMLLinkElement;
    function set_script(file: any, callback: any): Promise<any> | Element;
    function lay_use(model: any, callback?: null): Promise<any>;
}
export default _default;
