//如全部远程加载配置,本地可删除此文件
export default {
    //自定配置,可使用get_conf获取
    conf: {title: "配置"},

    //默认网页标题
    title: "vite_vue",

    //程序本地存储访问标识有效时间
    make_time: 28800,

    //是否开启进度条
    load_bar: true,

    //是否开启加载图标
    load_ico: true,

    //默认语言,为空关闭i18n
    locale: "cn",

    //回退语言
    fallback: "cn",

    //语言列表
    lang: {
        cn: {title: "cn_title"},
        en: {title: "en_title"}
    },

    //跳由不存在时跳转,false不跳转
    error: '/',

    //动态路由
    routing: {
        //是否开启动态路由
        status: true,
        //动态路由默认首页文件
        index: "index",
        //动态路由分组,目录:首页
        group: {
            "layui": "layui/index"
        }
    },

    //路由列表 只有component不一样,不要带view目录和vue格式,别的参数和官方一样,component优先path查找vue
    route: [
        {path: "index", alias: "/"},
        {path: "home", component: "index"},
        {path: "login"},
        {path: "admin/index", children: [{path: "admin/login"}, {path: "admin/main"}]},
        {path: "layui/error"},
        {path: "layui/index"},
        {path: "layui/install"}
    ]
}