export function dir_name(file: any, levels?: number): any;
export function is_win(): boolean;
export function is_mac(): boolean;
export function is_linux(): boolean;
export function system_file(file: any): any;
export function edit_ver(ver: any, add?: string): any;
export function confirm(title: any, callback: any): void;
export function file_url(url?: string, levels?: number): any;
export function zip_file(dir: any, file?: string, close?: null): void;
export function nodes(dirname: any): {
    dirname: any;
    fs: typeof fs;
    path: path.PlatformPath;
    os: typeof os;
    exec: typeof exec;
    readline: typeof createInterface;
};
export function npm_push_index({ src, ver, app_name, version, push, create, pathname, dirname, npm, copy_list }?: {}): {
    src: any;
    pathname: any;
    node: {
        dirname: any;
        fs: typeof fs;
        path: path.PlatformPath;
        os: typeof os;
        exec: typeof exec;
        readline: typeof createInterface;
    };
    dirname: any;
    del_src(): any;
    del_name(): any;
    copy_src({ path, file, dir }?: {
        file?: never[] | undefined;
        dir?: never[] | undefined;
    }): any | undefined;
    push(): any;
    get_npm_dir(): any;
    get_command(): any;
    create_src(): any;
    create(): any;
};
export default nodes;
import fs from "fs";
import path from "path";
import os from "os";
import { execSync as exec } from "child_process";
import { createInterface } from "readline";
